| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# msgtext

$Revision: 1.3 $

$Date: 2002/06/12 11:18:19 $

msgtext — The actual text of a message component in a message set

## Synopsis

### Content Model

    msgtext ::=
    ((calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
      simplelist|variablelist|caution|important|note|tip|warning|
      literallayout|programlisting|programlistingco|screen|screenco|
      screenshot|synopsis|cmdsynopsis|funcsynopsis|classsynopsis|
      fieldsynopsis|constructorsynopsis|destructorsynopsis|
      methodsynopsis|formalpara|para|simpara|address|blockquote|
      graphic|graphicco|mediaobject|mediaobjectco|informalequation|
      informalexample|informalfigure|informaltable|equation|example|
      figure|table|msgset|procedure|sidebar|qandaset|productionset|
      constraintdef|anchor|bridgehead|remark|highlights|abstract|
      authorblurb|epigraph|indexterm|beginpage)+)

### Attributes

Common attributes

## Description

The `MsgText` is the actual content of the message in a `MsgMain`, `MsgSub`, or `MsgRel`.

### Processing expectations

May be formatted inline or as a displayed block, depending on context.

On the whole, the semantics of `MsgSet` are not clearly defined.

### Future Changes

`MsgText` is currently one of the general, technical inlines by accident. In DocBook V4.0, it will be limited to use within a `MsgSet`.

### Parents

These elements contain msgtext: `msgmain`, `msgrel`, `msgsub`, `simplemsgentry`.

### Children

The following elements occur in msgtext: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constraintdef`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `msgset`, `note`, `orderedlist`, `para`, `procedure`, `productionset`, `programlisting`, `programlistingco`, `qandaset`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `sidebar`, `simpara`, `simplelist`, `synopsis`, `table`, `tip`, `variablelist`, `warning`.

## Examples

For examples, see `msgset`.

msgsub |  | nonterminal

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.